<nav class="navbar navbar-expand-md ls-bg-info-nav fixed-top navbar-dark bg-ls-dark" style="height: 40px;">

    <a class="nav-item mr-3"
            {% if  not (logoLinkDisabled is defined and logoLinkDisabled == true) %}
                href="{% if app.user and app.user.structure == null %}{{ path('structure_index') }}{% else %}{{ path('sitting_index') }}{% endif %}"
            {% endif %}
    >
        <img style="height: 22px; padding-bottom: 2px;" src="{{ asset('assets/img/id-color-white.svg') }}"
             alt="idelibre"
             class="img-fluid"
             title="{% if app.user and app.user.structure == null %}Revenir à l'écran des structures{% else %}Revenir à l'écran des séances {% endif %}"
        >
    </a>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse justify-content-end " id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
        </ul>
        {% if app.user %}
            <ul class="navbar-nav">
                <li class="nav-item dropdown" id="navDropdown">
                    <a class="dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-bs-toggle="dropdown"
                       aria-haspopup="true" aria-expanded="false">
                        {{ app.user.structure ? app.user.structure.name ~ " - " : "" }} {{ app.user.username }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-end popup-menu-end" aria-labelledby="navbarDropdown"
                         id="navbarDropdownWindow">

                        {% if  not (preferencesLinkAndPoliciesDisabled is defined and preferencesLinkAndPoliciesDisabled == true) %}
                            <a href="{{ path('user_preferences') }}" class="dropdown-item">
                                <span class="fas fa-user"></span> Mes préférences
                            </a>

                            <a href="{{ path('gdpr_notice') }}" class="dropdown-item">
                                <span class="fas fa-user-secret"></span> Politique de confidentialité (RGPD)
                            </a>
                        {% endif %}

                        {% if (is_granted('ROLE_MANAGE_STRUCTURES') and app.user.structure) %}
                            <div class="dropdown-divider"></div>
                            <a href="{{ path('security_impersonate_exit') }}" class="dropdown-item">
                                <span class="fas fa-sign-out-alt"></span> {{ app.user.structure.name }}
                            </a>
                        {% endif %}

                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="{{ path('app_logout') }}">
                            <span class="fas fa-sign-out-alt"></span> Se déconnecter
                        </a>
                    </div>

                </li>
            </ul>
        {% endif %}
    </div>
</nav>


